Bug 989147 - Crash when calling GC.collect()
Crash when calling GC.collect()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ldc (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 18:25 EDT by Alex Puchades
Modified: 2014-03-10 18:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 18:47:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Core dumped when executed (2.55 MB, application/x-core)
2013-07-27 18:25 EDT, Alex Puchades
no flags Details

  None (edit)
Description Alex Puchades 2013-07-27 18:25:55 EDT
Created attachment 779239 [details]
Core dumped when executed

Description of problem:
A crash occurs within the _d_toObject function of the D runtime when calling GC.collect(), when compiling with the ldc2 compiler (the same does not occur when using the dmd compiler from DigitalMars)

Version-Release number of selected component (if applicable):
ldc2 (0.12.0 -- based on DMD v2.063.1 and LLVM 3.3) (x86_64)

How reproducible:
The following code triggers the crash:

  import core.memory;
  void main() {
    GC.collect();
  }

Steps to Reproduce:
1. $ ldc2 gcbug.d
2. $ ./gcbug

Actual results:
Violación de segmento (`core' generado)

Expected results:
No crash =)

Additional info:
The crash does occur (according to gdb) inside the _d_toObject function (core attached)
Comment 1 MERCIER Jonathan 2013-07-28 17:56:04 EDT
Comment on attachment 779239 [details]
Core dumped when executed

Hi, could you use dustemite ( is into fedora repo to help us to uderstand what happen )

Howto -> https://github.com/CyberShadow/DustMite/wiki

thanks
Comment 2 MERCIER Jonathan 2013-07-28 17:58:04 EDT
oops skip my previous message i see the bug
Comment 3 Fedora Admin XMLRPC Client 2013-08-12 00:49:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.